Skip to main content
POST
/
api
/
session
/
{sessionID}
/
fork
Fork session
curl --request POST \
  --url https://api.example.com/api/session/{sessionID}/fork \
  --header 'Content-Type: application/json' \
  --data '
{
  "messageID": "<string>"
}
'
import requests

url = "https://api.example.com/api/session/{sessionID}/fork"

payload = { "messageID": "<string>" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({messageID: '<string>'})
};

fetch('https://api.example.com/api/session/{sessionID}/fork', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "projectID": "<string>",
    "cost": 123,
    "tokens": {
      "input": 123,
      "output": 123,
      "reasoning": 123,
      "cache": {
        "read": 123,
        "write": 123
      }
    },
    "time": {
      "created": 123,
      "updated": 123,
      "archived": 123
    },
    "title": "<string>",
    "location": {
      "directory": "<string>",
      "workspaceID": "<string>"
    },
    "parentID": "<string>",
    "fork": {
      "sessionID": "<string>",
      "messageID": "<string>"
    },
    "agent": "<string>",
    "model": {
      "id": "<string>",
      "providerID": "<string>",
      "variant": "<string>"
    },
    "subpath": "<string>",
    "revert": {
      "messageID": "<string>",
      "partID": "<string>",
      "snapshot": "<string>",
      "files": [
        {
          "file": "<string>",
          "patch": "<string>",
          "additions": 1,
          "deletions": 1
        }
      ]
    }
  }
}
{
  "_tag": "InvalidRequestError",
  "message": "<string>",
  "kind": "<string>",
  "field": "<string>"
}
{
  "_tag": "UnauthorizedError",
  "message": "<string>"
}
{
  "_tag": "MessageNotFoundError",
  "sessionID": "<string>",
  "messageID": "<string>",
  "message": "<string>"
}

Path Parameters

sessionID
string
required
Pattern: ^ses

Body

application/json
messageID
string | null
Pattern: ^msg_

Response

Success

data
object
required